Subject: Re: 1/18 BBI F/A-18C Hornet "Golden Dragons"
From: "Steve Bamford ARC" <[email-masked]>
To: "Eric Lowe" <[email-masked]>
Date: Mon, 12 Jul 2004 15:42:53 -0700

Hi Eric,
I just wanted to let you know your article went on ARC today.  Thanks for sending it in.   

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: Eric Lowe 
  To: [email-masked] 
  Sent: Wednesday, June 02, 2004 2:05 PM
  Subject: 1/18 BBI F/A-18C Hornet "Golden Dragons"

  Gallery Template #08

  "1/18 BBI F/A-18C Hornet - Golden Dragons" 

  by "Eric Lowe"
  --------------------

        Steve Bamford will insert full sized version of photo 01.jpg here 

  I know this beauty isn't a model, but I just had to stick her up here for all to see.  My finding her was no coincidence and it all started something like this: A several years ago, I was wandering through Toys 'R' Us and I came across two of the most beautiful things I had ever seen: a 1/18 Bf-109 and P-51 Mustang.  It was early December, so I quickly snatched up the P-51 and put the Bf-109 on my Christmas list (which my loving mother, I mean Santa Clause, brought me).  As time went on, 21st Century Toys released other 1/18 toys such as the P-38, Corsair, Stuka and P-47, not all, but many finding their way into my collection.

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 03.jpg here.  Clicking on that photo will bring up the full sized version of photo 03.jpg 

        Steve Bamford will insert a click-able smaller version of photo 04.jpg here.  Clicking on that photo will bring up the full sized version of photo 04.jpg 

       Steve Bamford will insert a click-able smaller version of photo 05.jpg here.  Clicking on that photo will bring up the full sized version of photo 05.jpg 

  About a year ago, 21st Century Toys got a little competition in the 1/18 aircraft department from a new company called Blue Box Inc (BBI) Toys.  Again, I was at Toys 'R' Us (does anyone see a pattern here?) and I came across a 1/18 Black Hawk.  Before I knew it, it was in my trunk, followed by a 1/18 Apache a few months later.  Do keep in mind that all of these ARE, in fact, toys and need substantial work, but they are really, really cool straight out of the box.

  Anyway, during a long, boring day at work, I found myself looking for any new 1/18 releases by either company.  Lo and behold, I came across http://www.badcataviation.com/index.html, THE premiere dealer in both BBI and 21st Century Toys.  After flipping through a few pages, I saw a preorder sale for a, believe it or not, 1/18 Hornet.  NO WAY!  I mulled over it for about 24 hours (just because this one was rather expensive at $85+S&H), but I caved in, surprise, surprise.

  (Below - Yes, this is the 1/18 BBI Hornet next to the 1/32 Academy!)

        Steve Bamford will insert full sized version of photo 02.jpg here 

  Roughly six weeks later, I was warmly greeted by an absolutely huge box and the wait was over.  Upon opening the box, I was not disappointed.  At a whopping 37" long, this puppy was screaming to have the dozen-or-so pieces assembled.  My eyes glistened with joy.  

  Well, after the initial awe wore off, I began to notice that the Hornet was lacking in a few areas (BUT STILL AWSOME!!!).  Heck, nothing I can't fix!  Well, at this point, I've only managed to scratch build the five antennae.  Next comes some cockpit detailing (which seats the pilot and removable ejection seat nicely), the landing gear, and the exhaust nozzels.  The four (500lb???) bombs are rather lame too, but I'm not too worried about them right now (I'm actually still trying to find a permanent resting place for her!).  Perhaps a pair of Harpoons will eventually grace her outter pylongs?  Anyway, this thing is big, bad and has almost limitless detailing potential.  If you have the opportunity (sorry, they're currently sold out) I would definitely pick one up as a good starting point for the flagship of your modeling collection.    

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 06.jpg here.  Clicking on that photo will bring up the full sized version of photo 06.jpg 

       Steve Bamford will insert a click-able smaller version of photo 07.jpg here.  Clicking on that photo will bring up the full sized version of photo 07.jpg 

       Steve Bamford will insert a click-able smaller version of photo 08.jpg here.  Clicking on that photo will bring up the full sized version of photo 08.jpg 

  Photos and text © 2004 by "Eric Lowe"

------------------------------------------------------------------------------
  Get fast, reliable Internet access with MSN 9 Dial-up - now 3 months FREE!